/*
 * Copyright 2019 Red Hat, Inc. and/or its affiliates
 * and other contributors as indicated by the @author tags.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.smallrye.metrics.elementdesc;

import java.lang.annotation.Annotation;

public interface BeanInfo {

    String getSimpleName();

    String getPackageName();

    <T extends Annotation> AnnotationInfo getAnnotation(Class<T> metric);

    <T extends Annotation> boolean isAnnotationPresent(Class<T> metric);

    /**
     * Returns BeanInfo of its superclass or null if there is no superclass.
     */
    BeanInfo getSuperclass();

}
